Subject: Re: bug#77803: [PATCH v2] Don't indent variable names to their declarator expression (bug#77803)

From: Konstantin Kharlamov <[email-masked]>
Date: Sun, 27 Apr 2025 14:56:53 +0700

On Sun, 2025-04-27 at 14:47 +0700, Konstantin Kharlamov wrote:
> On Sun, 2025-04-27 at 03:35 +0300, Dmitry Gutov wrote:
> > On 26/04/2025 03:44, Yuan Fu wrote:
> > > The non-indent style seems to be the mainstream style (for better
> > or 
> > worse), so I left the non-indent style as the default
> > 
> > Oh well.
> 
> Dmitry, do you know by any chance who could be pinged in on the
> discussion in Github for js2-mode? The two folks I pinged a week ago
> didn't reply, and I really strongly suspect the default indentation
> in
> js2-mode was done based on misunderstanding. I'd like to hear from
> people using js2-mode for everyday work to see if anyone expects such
> indentation.

To put it a better way: to see if anyone's using such indentation for a
project that is not theirs and have more than 2 maintainers (an
internal dayjob project is a great candidate).